Avisi cloud logo
OpenapiGenerated

Create a maintenance schedule for an organisation.

POST
/api/v1/organisations/{organisationSlug}/maintenance-schedule

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$

Request Body

application/json
  1. body
name?string
windows?array<>

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
identity?string
Formatuuid
name?string
clusterCount?integer
Formatint64
windows?array<>
curl -X POST 'https://api.avisi.cloud/api/v1/organisations/string/maintenance-schedule' \  -H 'Content-Type: application/json' \  -d '{}'
{  "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",  "name": "string",  "clusterCount": 0,  "windows": [    {      "day": "MONDAY",      "startTime": "string",      "duration": 0    }  ]}